Subject: Re: 25.0.50; Use unified diff format by default, and recommend using it in reports and patches

From: Paul Eggert <[email-masked]>
Date: Sun, 12 Apr 2015 16:30:01 -0700

As I recall, RMS preferred diff -c to diff -u, and that is partly why 
trouble.texi suggests -c over -u and why diff-switches defaults to -c.  Also, 
traditional Unix 'diff' lacked -u; although GNU diff had -u starting in 1990, 
diff -u wasn't standardized by POSIX until 2008.

These days -u format is far more popular than -c format in practice, and I 
expect that most active Emacs developers prefer -u, so it's appropriate for 
Emacs to default to -u and for trouble.texi to suggest it.

I suppose that in theory there is the issue of Emacs running on an older 
POSIXish platform where 'diff' does not support -u.  I don't have access to any 
such platform, though.  I can confirm that Solaris 10 diff (2005) supports '-u'. 
  So perhaps we don't need to worry about this.